Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.util
Interface ReservedConstants

    public interface ReservedConstants

The protegex utils are pieces of funcitonality that are used across several distinct widgets. As such, they may need to save state to the widget's property list. The mechanism adopted for this is a keyword is used to identify a sub property list all information is stored in the sub property list. This, of course, necessitates reserving some keywords. This interface serves as a clearinghouse of reserved keywords.

Author:
  William Grosso

Field Summary
`static String` | `BOOLEAN_EDITOR`
`static String` | `CLASS_EDITOR`
`static String` | `FLOAT_EDITOR`
`static String` | `INSTANCE_EDITOR`
`static String` | `INTEGER_EDITOR`
`static String` | `RECURSIVE_COPYING`
`static String` | `STRING_EDITOR`
`static String` | `SYMBOL_EDITOR`

Field Detail

### BOOLEAN_EDITOR

    static final String BOOLEAN_EDITOR

See Also:
  Constant Field Values

### CLASS_EDITOR

    static final String CLASS_EDITOR

See Also:
  Constant Field Values

### FLOAT_EDITOR

    static final String FLOAT_EDITOR

See Also:
  Constant Field Values

### INSTANCE_EDITOR

    static final String INSTANCE_EDITOR

See Also:
  Constant Field Values

### INTEGER_EDITOR

    static final String INTEGER_EDITOR

See Also:
  Constant Field Values

### STRING_EDITOR

    static final String STRING_EDITOR

See Also:
  Constant Field Values

### SYMBOL_EDITOR

    static final String SYMBOL_EDITOR

See Also:
  Constant Field Values

### RECURSIVE_COPYING

    static final String RECURSIVE_COPYING

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request